2019-10-16 00:17 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001417FSSCPturretspublic2008-04-03 16:47
Reporterbelkin1 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001417: Carrier can hit fighter with turrets when fighter is inside landing bay
DescriptionWhen a fighter flies into the carrier's landing bay and attacks the carrier, the carrier's turrets can successfully target and hit the fighter. Maybe it's a cowardly approach, but I always attacked carriers this way in WCIII. So, I can't as easily do that anymore. The real impact here, though, is suspension of disbelief. Clearly, a carrier cannot shoot inside itself (without damaging itself anyway) so the fighter should be protected from the carrier's guns when inside the landing bay.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008171

belkin1 (reporter)

I didn't realize that this was the FreeSpace 2 reporting interface as opposed to Wing Commander Saga. Maybe you can pass this on to them. I saw no way of reporting bugs on their website.

~0008172

WMCoolmon (developer)

They don't have Mantis, but you can make a post on their http://www.hard-light.net/forums/index.php?board=46.0. This sounds like it may be a model issue.

There was code to take care of this, by Bobboau, but it was removed from CVS for breaking backwards compatibility.

~0008174

Wanderer (developer)

Wasn't there purely turret specific (turret flag) version existing for a little while too? One which would have been optional and hence would not break the backwards compatibility. Though i think it got removed too for some reason.

~0008175

taylor (administrator)

Bobboau's version was optional, so that's probably what you are thinking of. The problem was that Bobboau added a BUNCH of code in a single commit, and most of it had some pretty serious issues. As such, all of it had to get reverted. I do have all of the changes though, so as soon as 3.6.10 ships I'm going to go back through and re-commit the things that did/do work, like the turret flag for not shooting through the hull.

~0009173

taylor (administrator)

Support for the "check hull" flag is now in the trunk. It was a smaller change than I had expected, so it should be good for 3.6.10.


Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-06-09 21:19 belkin1 New Issue
2007-06-09 21:19 belkin1 Status new => assigned
2007-06-09 21:19 belkin1 Assigned To => WMCoolmon
2007-06-09 21:50 belkin1 Note Added: 0008171
2007-06-10 00:21 WMCoolmon Note Added: 0008172
2007-06-11 06:51 Wanderer Note Added: 0008174
2007-06-11 16:16 taylor Note Added: 0008175
2007-11-24 07:54 WMCoolmon Assigned To WMCoolmon => taylor
2008-04-03 16:47 taylor Status assigned => resolved
2008-04-03 16:47 taylor Fixed in Version => 3.6.10
2008-04-03 16:47 taylor Resolution open => fixed
2008-04-03 16:47 taylor Note Added: 0009173
+Issue History